package ink.wgink.module.file.controller.route.fileclient;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: FileRemoteRouteController
 * @Description: 文件远程
 * @Author: wanggeng
 * @Date: 2022/8/4 22:23
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "文件远程")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/file-client")
public class FileClientRouteController {

    @GetMapping("list")
    public ModelAndView list() {
        ModelAndView modelAndView = new ModelAndView("file-client/list");
        return modelAndView;
    }

    @GetMapping("save")
    public ModelAndView save() {
        ModelAndView modelAndView = new ModelAndView("file-client/save");
        return modelAndView;
    }

    @GetMapping("update")
    public ModelAndView update() {
        ModelAndView modelAndView = new ModelAndView("file-client/update");
        return modelAndView;
    }

}
